
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pg_anonymize/version'

Gem::Specification.new do |spec|
  spec.name          = 'pg_anonymize'
  spec.version       = PgAnonymize::VERSION
  spec.authors       = ['Arash Kashani']
  spec.email         = ['akashani62@gmail.com']
  spec.summary       = 'Anonymize postgres'
  spec.description   = 'Anonymize postgres to use development data'
  spec.homepage      = 'https://github.com/akashani62/pg_anonymize'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_dependency 'rails', '~> 5.1', '>= 5.1.4'
  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rb-readline'
  spec.add_development_dependency 'rspec', '~> 3.0'

  spec.add_development_dependency 'guard', '> 0'
  spec.add_development_dependency 'guard-bundler', '> 0'
  spec.add_development_dependency 'guard-rspec', '> 0'
  spec.add_development_dependency 'guard-rubocop', '> 0'
end
